package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouPopulationPackage;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * 项目绑定的人群包模板
 *
 * @author jeecg-boot
 * 2021-05-06
 * @version V1.0
 */
public interface IKuaishouPopulationPackageService extends IService<KuaishouPopulationPackage> {

    Result<Object> createEntity(KuaishouPopulationPackage kuaishouPopulationPackage);

    Result<Object> push(JSONArray accountIds, Long id,JSONObject request);

    Result<Object> queryPageList(KuaishouPopulationPackage kuaishouPopulationPackage, Integer pageNo, Integer pageSize);

    Result<Object> queryPushResults(Long id, JSONArray accountIds);

    Result<Object> queryPushHistory(Long  id);

    Result<Object> getRelatedAccounts(Long id);

    Result<Object> getRelatedGroups(Long id,Long accountId);

    void crowdListQuery();

    Result<Object> getAccountByProjectId(Long projectId, String id);

    Result<Object> checkPopulationPackage(String signature);
}
